Subject: bug#4153: sentence-end properly constructed now?

From: [email-masked] (Dave Täht)
Date: Thu, 27 Aug 2009 18:04:35 -0600

I am curious if this bug resolves the problem I was encountering with
sentence-forward and sentence-backward in the post 22 versions of emacs
I have had available to me. 

I also ran into it in http://www.emacswiki.org/emacs/auto-capitalize.el 
which irked me enough to try and find the cause of the problem. 

Is sentence-end getting properly constructed now?

... elided ...
;; auto-capitalize.el 
;; 1 Jun 2009: It does not work with Aquamacs 1.7/GNUEmacs 22. Only the first word in the buffer 
;; (or the first word typed after mode activation) is capitalized. 
;; Maybe the code is too old (1998). -- Rikal

;; No.
;; The reason why this code bit is failing is that sentence-end is not
;; getting constructed for some reason in paragraphs.el: 

;; (message "%s" sentence-end) ;; returns null in the post 22 versions of emacs I tried.

;; According to the documentation, sentence-end is supposed to be automatically
;; constructed from the other regexps defined there. It isn't. I did not
;; dig any further. 

;; This also explains why sentence-forward and sentence-backward (M-e,
;; M-a respectively) are not working in the current emacs-snapshot. (I do not have
;; emacs 23.1 installed on the machine I am on, but this does sound like
;; it is also a problem in 23.1)

;; To keep me going I just did a:
;; (setq sentence-end "[.?!][]\"')]*\\($\\| $\\|\t\\| \\)[ \t\n]*" )
;; in my main .emacs file, and this makes auto-capitalization.el work for me.

;; Maybe this is related to bug 4153 which is reported as fixed in emacs head?
;; 28 Aug 2009 -- dtaht

- -- 
Dave Taht
http://the-edge.blogspot.com